TYPES = ["Soldier","Flamethrower","Grenadier","Tank","Jet"]
INITIATIVE = ["Soldier","Grenadier","Flamethrower", "Jet", "Tank"]


unit_dat = {}
#Units: Soldier, Flamethrower, Grenadier, Tank, Jet
unit_dat["Soldier"] = {
    "hp": 5.0,  #max hp
    "cost": [5,2,0],  #gold, metal, oil
    "p.u.": 5,
    "dam": 5, #best-case damage
    "dam_mod": [1, 1, 1, 0.2, 0.1], #damage dealt against these units
    "hit_mod": [0.5, 0.5, 0.5, 0.8, 0.05],  #toHit against these units
    "target": ["Soldier","Flamethrower","Grenadier","Tank","Jet"] #preferred target
    #"target": [1, 1, 1, 2, 3]
}

unit_dat["Flamethrower"] = {
    "hp": 5.0,
    "cost": [8,4,10],
    "p.u.": 10,
    "dam": 25,
    "dam_mod": [1, 1, 1, 0.02, 0.0],
    "hit_mod": [0.5, 0.5, 0.5, 0.8, 0.0],
    "target": ["Soldier","Flamethrower","Grenadier","Tank","Jet"]
    #"target": [1, 1, 1, 2, 3]
}

unit_dat["Grenadier"] = {
    "hp": 5.0,
    "cost": [10,8,5],
    "p.u.": 10,
    "dam": 25, #best-case damage
    "dam_mod": [0.3, 0.3, 0.3, 1, 0.5], #damage modifier
    "hit_mod": [0.2, 0.2, 0.2, 0.95, 0.8],  #toHit modifier
    "target": ["Tank","Jet","Grenadier","Soldier","Flamethrower"]
    #"target": [3, 3, 3, 1, 2]
}

unit_dat["Tank"] = {
    "hp": 20.0,
    "cost": [25,30,20],
    "p.u.": 25,
    "dam": 100, #best-case damage
    "dam_mod": [0.5, 0.5, 0.5, 0.4, 0.1], #damage modifier
    "hit_mod": [0.75, 0.75, 0.75, 0.95, 0.05],  #toHit modifier
    "target": ["Tank","Grenadier","Soldier","Flamethrower","Jet"]
    #"target": [2, 2, 2, 1, 3]
}

unit_dat["Jet"] = {
    "hp": 10.0,
    "cost": [35,20,30],
    "p.u.": 50,
    "dam": 50, #best-case damage
    "dam_mod": [0.2, 0.2, 0.2, 1.5, 0.5], #damage modifier
    "hit_mod": [0.05, 0.05, 0.05, 0.95, 0.95],  #toHit modifier
    "target": ["Jet", "Tank","Grenadier","Soldier","Flamethrower"]
    #"target": [3, 3, 3, 2, 1]
}
